<?php

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;


/**
 * Titre
 *
 * @ORM\Table(name="titre")
 * @ORM\Entity
 *
 */
class Titre
{

    /**
     * @var integer
     *
     * @ORM\Column(name="id_titre", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idTitre;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_titre", type="string", length=255, nullable=false)
     */
    private $nomTitre;

    /**
     * @var string
     *
     * @ORM\Column(name="descriptif_titre", type="text", nullable=false)
     */
    private $descriptifTitre;

    /**
     * @var integer
     *
     * @ORM\Column(name="ordre_titre", type="integer", nullable=false)
     */
    private $ordreTitre;

    /**
     * @var integer
     *
     * @ORM\Column(name="vente_titre", type="integer", nullable=false)
     */
    private $venteTitre = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="type_titre", type="integer", nullable=false)
     */
    private $typeTitre;


    /**
     * @return int
     */
    public function getIdTitre()
    {
        return $this->idTitre;
    }

    /**
     * @param int $idTitre
     */
    public function setIdTitre($idTitre)
    {
        $this->idTitre = $idTitre;
    }

    /**
     * @return string
     */
    public function getNomTitre()
    {
        return $this->nomTitre;
    }

    /**
     * @param string $nomTitre
     */
    public function setNomTitre($nomTitre)
    {
        $this->nomTitre = $nomTitre;
    }

    /**
     * @return string
     */
    public function getDescriptifTitre()
    {
        return $this->descriptifTitre;
    }

    /**
     * @param string $descriptifTitre
     */
    public function setDescriptifTitre($descriptifTitre)
    {
        $this->descriptifTitre = $descriptifTitre;
    }

    /**
     * @return int
     */
    public function getOrdreTitre()
    {
        return $this->ordreTitre;
    }

    /**
     * @param int $ordreTitre
     */
    public function setOrdreTitre($ordreTitre)
    {
        $this->ordreTitre = $ordreTitre;
    }

    /**
     * @return int
     */
    public function getVenteTitre()
    {
        return $this->venteTitre;
    }

    /**
     * @param int $venteTitre
     */
    public function setVenteTitre($venteTitre)
    {
        $this->venteTitre = $venteTitre;
    }

    /**
     * @return int
     */
    public function getTypeTitre()
    {
        return $this->typeTitre;
    }

    /**
     * @param int $typeTitre
     */
    public function setTypeTitre($typeTitre)
    {
        $this->typeTitre = $typeTitre;
    }

}



?>